package com.example.smartlab.api

import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST

interface Api {
    //директива отправки к продолжению ссылки
    //поточная функция название(Отправка в хедер("точное название из апи") что отправляем: тип): что получаем(тип)
    @POST("api/SendCode")
    suspend fun sendCodeToEmail(@Header("User-email") email: String):String
    @POST("api/SignIn")
    suspend fun signIn(@Header("User-email") email: String, @Header("User-code") code: String):String
    @GET("api/News")
    suspend fun getNews(): List<News>
    companion object{
        val BASE_URL="https://iis.ngknn.ru/NGKNN/МамшеваЮС/MedicMadlab/"
    }
}