package com.example.smartlab.api

import kotlinx.coroutines.flow.Flow

interface Repository {
    //данный интерфейс только объявляет методы, но реализуются они в классе
    //поточный тип, принимает строку(емайл), возвращает поток результата(успех или ошибка)
    suspend fun sendCodeToEmail(email:String): Flow<Result<String>>
    suspend fun signIn(email:String, code:String): Flow<Result<String>>
    suspend fun getNews(): Flow<Result<List<News>>>
}